Subject: bug#13241: 24.2; sh-mode, bash, font-lock; highlight variables in expressions: (( var ))

From: Lars Ingebrigtsen <[email-masked]>
Date: Tue, 10 May 2022 15:28:37 +0200

Daniel Lublin <[email-masked]> writes:

>  > I don't quite understand the request -- sh-mode doesn't font-lock
>  > variables in other cases, so I don't quite see why it should font-lock
>  > variables inside (( )) constructs?
>
>  But it does? At least in `foo=bar` `foo` gets the
>  font-lock-variable-name-face. At least to my understanding of "font-lock".

Sorry, don't know what I was thinking.

When $var++ is highlighted, then $(( var++ )) should be, too.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no